Can't add new compute resource in EC2
Description

Can't create new compute resource with EC2 provider. When click on "Load Regions" I'm getting:

Started PUT "/compute_resources/test_connection" for 10.0.2.2 at 2013-07-31 18:25:02 -0400

Processing by ComputeResourcesController#test_connection as */*

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"XXX", "compute_resource"=>{"name"=>"amazon", "p

rovider"=>"EC2", "description"=>"", "user"=>"XXX", "password"=>"[FILTERED]"}, "cr_id"=>"null"}

CR_ID IS null

Operation FAILED: uninitialized constant Foreman::Model::EC2::Fog

  Rendered common/500.html.erb (3.9ms)

Completed 500 Internal Server Error in 24ms (Views: 6.2ms | ActiveRecord: 1.2ms)

 and when click on "Submit":

Started POST "/compute_resources" for 10.0.2.2 at 2013-07-31 18:28:13 -0400

Processing by ComputeResourcesController#create as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"XXX", "compute_resource"=>{"name"=>"amazon", "p

rovider"=>"EC2", "description"=>"", "user"=>"XXX", "password"=>"[FILTERED]"}, "commit"=>"Submit"}

Failed to save: URL can't be blank

  Rendered compute_resources/form/_ec2.html.erb (4.1ms)

  Rendered compute_resources/_form.html.erb (9.7ms)

  Rendered compute_resources/new.html.erb within layouts/application (10.0ms)

  Rendered home/_user_dropdown.html.erb (1.2ms)

Read fragment views/tabs_and_title_records-1 (0.2ms)

  Rendered home/_topbar.html.erb (1.3ms)

Completed 200 OK in 29ms (Views: 17.0ms | ActiveRecord: 2.2ms)

 I'm running CentOS 6.4 with ruby-1.8.7 and ruby193-ruby-1.9.3. The problem is reproducible both on foreman-1.2.1 and

foreman-1.2.9999 nightly build.

History

#1 - 08/01/2013 02:25 AM - Ohad Levy

- Status changed from New to Resolved

- Target version deleted (1.2.1)

yum install foreman-compute and restart foreman and walla :)

#2 - 08/01/2013 04:17 PM - Andrii Grytsenko

Thank you, it fixed my problem. I believe it makes sence to put this information on one of documentation pages here or here .  After fixed this issue I

run into new one, when try to get regions:

Started PUT "/compute_resources/test_connection" for 10.0.2.2 at 2013-08-01 09:21:25 -0400

Processing by ComputeResourcesController#test_connection as */*
http://blog.theforeman.org/2012/05/ec2-provisioning-using-foreman.html
http://projects.theforeman.org/projects/1/wiki/Compute_Resources


  Parameters: {"utf8"=>"✓", "authenticity_token"=>"XXX=", "compute_resource"=>{"name"=>"amazon", "provider"=>"

EC2", "description"=>"", "user"=>"XXX", "password"=>"[FILTERED]"}, "cr_id"=>"null"}

CR_ID IS null

Operation FAILED: system lib (OpenSSL::X509::StoreError)

  Rendered common/500.html.erb (2.8ms)

Completed 500 Internal Server Error in 21626ms (Views: 3.4ms | ActiveRecord: 1.5ms)

 full stack trace here

Do I need any other packages to install?
